log = function (str) {
  var log = document.querySelector("#log");
  var span = document.createElement("span");
  widgetAPI.putInnerHTML(span, str);
  log.appendChild(span);
  log.scrollTop = log.scrollHeight;
};

toggleLog = function () {
  var log = document.querySelector("#log");
  if (log.style.display === "none" || log.style.display === "") {
    log.style.display = "block";
  } else {
    log.style.display = "none";
  }
};

clearLog = function () {
  var log = document.querySelector("#log");
  log.innerHTML = "";
};

setInterval(function () {
  var log = document.querySelector("#log");
  if (log.style.display === "block") {
    clearLog();
  }
}, 60000);

document.addEventListener("keydown", function (event) {
  if (event.keyCode === tvKey.KEY_RED) {
     toggleLog();
  }
  if (event.keyCode === tvKey.KEY_GREEN) {
    clearLog();
  }
  if (event.keyCode === tvKey.KEY_YELLOW) {
    log("Klasördeki tüm içerikler")
    log("   .")
    log("   .")
    var fs = new Filesystem();
      fs.ls('/mtd_down/common/OctopusSSSP', function(err, files) {
        if(err) {
            log(err.message);
        } else {
            var fileNames = [];
            for (var i = 0; i < files.length; i++) {
                fileNames.push(files[i].name); // Dosya ismini diziye ekle
            }
            log(JSON.stringify(fileNames)); // Dosya isimlerini logluyoruz
        }
    });     
  }
  if (event.keyCode === tvKey.KEY_BLUE) {
    // clearScreenshot(); 
}
});

var widgetAPI = new Common.API.Widget();
var tvKey = new Common.API.TVKeyValue();

// function takeScreenshot() {
//   var video = document.querySelector('video');
//   var image = document.querySelector('img'); // Ekrandaki ilk resim öğesi

//   var videoCanvas = document.createElement('canvas');
//   var videoContext = videoCanvas.getContext('2d');

//   if (video) {
//       videoCanvas.width = video.videoWidth;
//       videoCanvas.height = video.videoHeight;

//       if (video.crossOrigin) {
//           video.crossOrigin = "anonymous"; 
//       }

//       videoContext.drawImage(video, 0, 0);
//   }

//   html2canvas(document.body, {
//       allowTaint: true, 
//       useCORS: true, 
//       onrendered: function(bodyCanvas) { 
//           try {
//               var finalCanvas = document.createElement('canvas');
//               finalCanvas.width = Math.max(bodyCanvas.width, videoCanvas.width);
//               finalCanvas.height = bodyCanvas.height + videoCanvas.height; 

//               var finalContext = finalCanvas.getContext('2d');

//               finalContext.drawImage(bodyCanvas, 0, 0);

//               if (video) {
//                   finalContext.drawImage(videoCanvas, 0, bodyCanvas.height); 
//               }

//               if (image) {
//                   finalContext.drawImage(image, 0, bodyCanvas.height); 
//               }

//               var img = finalCanvas.toDataURL("image/png");
//               var base64Data = img.replace(/^data:image\/png;base64,/, '');
//               log("Screenshot Base64 (Cleaned): " + base64Data);
//               var screenshotImage = document.createElement("img");
//               screenshotImage.id = "screenshot";
//               screenshotImage.src = img;
//               screenshotImage.style.width = "300px"; // Görüntü boyutunu ayarlayın
//               screenshotImage.style.height = "auto"; // Görüntü boyutunu ayarlayın
//               screenshotImage.style.position = "absolute"; // Konumlandırma
//               screenshotImage.style.top = "10px"; // Sol üst köşeye yerleştirme
//               screenshotImage.style.left = "10px"; // Sol üst köşeye yerleştirme
//               document.body.appendChild(screenshotImage);
//               log("Screenshot taken");
//           } catch (error) {
//               log("Screenshot Error: " + error);
//           }
//       }
//   });
// }




// function clearScreenshot() {
//   var screenshots = document.querySelectorAll('img#screenshot');
//   try {
//     for (var i = 0; i < screenshots.length; i++) {
//       var screenshot = screenshots[i];
//       screenshot.parentNode.removeChild(screenshot); 
//   }
//   log("Screenshots cleared");
//   } catch (error) {
//     log("Clear Screenshots Error: " + error);
//   }
// }


